I use Siax Pro which I downloaded from the Cydia repositories. I need to have the newest version (2.0.3 as of date) because an important bug has been fixed. Now, Cydia tells me I already have 2.0.3 and when I go to the "Changes" menu Siax is not listed there.



but when i check the version number in the application itself, it gives me this:



In reality I run the previous version, 2.0.2.

How can I fix this.

The device is iPhone 2g v.3.1.3

Czarek